Fetch a Statement
Get a pre-signed URL for the requested statement file.
Authorization
X-API-Key X-API-KeyAdmins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.
In: header
Scope: X-API-Key
Request Body
application/json
View Statements
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/merchant/statement" \ -H "Content-Type: application/json" \ -d '{ "date": 1586480400000, "file_type": "csv", "type": "daily_transaction" }'{ "url": "https://bolt-statements-production.s3.us-west-2.amazonaws.com/00_daily_transaction_20200410.csv"}Send order tracking details POST
Send the carrier and order tracking number to Bolt (after a label has been printed). Bolt then uses EasyPost to forward ongoing tracking event updates to the shopper. This request must include **all** items included in the shipment; their references must also match those found in the original cart generation.
Authorize a Card POST
This endpoint authorizes card payments and has three main use cases: * • Authorize a payment using an unsaved payment method for a guest or logged-in shopper. * • Authorize a payment using a saved payment method for a logged-in shopper. * • Re-charge a previous transaction using the `credit_card_id` of the transaction.